Skip to main content
`Ctrl`+`K`

# numpy.ndarray.diagonal

method

ndarray.diagonal(offset=0, axis1=0, axis2=1)

  Return specified diagonals. In NumPy 1.9 the returned array is a read-only view instead of a copy as in previous NumPy versions. In a future version the read-only restriction will be removed.

  Refer to `numpy.diagonal` for full documentation.

  See also

  `numpy.diagonal`

    equivalent function